Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.mime
Class FormURLEncodedBody

    java.lang.Object
      com.vordel.mime.Body
          com.vordel.mime.FormURLEncodedBody

All Implemented Interfaces:
  com.vordel.system.Disposable

    public class FormURLEncodedBody

extends Body

Nested Class Summary
`static class` | `FormURLEncodedBody.Factory`

Field Summary
`static java.lang.String` | `APPLICATION_FORM_URL_ENCODED`
`static ContentType` | `CT_APPLICATION_FORM_URL_ENCODED`

Fields inherited from class com.vordel.mime.Body
`CAN_INVALIDATE, contentType, CT_APP_OCTET_STREAM, CT_DEFAULT, CT_MULTIPART_RELATED, CT_TEXT_PLAIN, CT_TEXT_XML_UTF8, CT_XOP_APPLICATION_XML, headers, PUSH_WRITE, REMOVE_XFER_ENCODING_ON_WRITE, RETAIN_XFER_ENCODING_ON_READ`

Constructor Summary
`FormURLEncodedBody(HeaderSet headers, ContentType contentType, QueryStringHeaderSet params)`

Method Summary
`boolean` | `contentAvailable()`
`static FormURLEncodedBody` | `createBody()`
`void` | `formEncode(java.io.OutputStream into, java.lang.String encoding)`
`QueryStringHeaderSet` | `getParameters()`
`static java.util.Map<java.lang.String,QueryStringHeaderSet.QueryStringHeader>` | `getParams(Message m)`
`static FormURLEncodedBody` | `locate(Message m)` Locate the FormURLEncodedBody from the message content if it exists.
`static void` | `main(java.lang.String[] args)`
`protected void` | `parse(java.io.InputStream is)` Parse a body from a specific InputStream.
`static Headers` | `parseParams(java.lang.String parameters, java.lang.String encoding)`
`protected void` | `purgeContent()` Bodies are purged() when they are no longer in use.
`void` | `writeContent(java.io.OutputStream os, int flags)` Write the content of the body to the specified OutputStream This is similar to `Body.write(java.io.OutputStream, int)`, but does not include the headers for the body.

Methods inherited from class com.vordel.mime.Body
`bufferInput, create, dispose, fini, getContentEncoding, getContentId, getContentLength, getContentType, getHeaders, getInputStream, getParent, getSource, initSource, parse, registerFactory, setParent, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_FORM_URL_ENCODED

    public static final java.lang.String APPLICATION_FORM_URL_ENCODED

See Also:
  Constant Field Values

### CT_APPLICATION_FORM_URL_ENCODED

    public static final ContentType CT_APPLICATION_FORM_URL_ENCODED

Constructor Detail

### FormURLEncodedBody

    public FormURLEncodedBody(HeaderSet headers,
                              ContentType contentType,
                              QueryStringHeaderSet params)

Method Detail

### getParameters

    public QueryStringHeaderSet getParameters()

### parseParams

    public static Headers parseParams(java.lang.String parameters,
                                      java.lang.String encoding)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

### contentAvailable

    public boolean contentAvailable()

  Specified by:
    `contentAvailable` in class `Body`

### createBody

    public static FormURLEncodedBody createBody()

### getParams

    public static java.util.Map<java.lang.String,QueryStringHeaderSet.QueryStringHeader> getParams(Message m)
                                                                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### locate

    public static FormURLEncodedBody locate(Message m)
                                     throws java.io.IOException

  Locate the FormURLEncodedBody from the message content if it exists.

  Parameters:
    `m` - The Message in which to locate the FormURLEncodedBody
  Returns:
    The FormURLEncodedBody, or null if it doesn't exist
  Throws:
    `java.io.IOException`

### writeContent

    public void writeContent(java.io.OutputStream os,
                             int flags)
                      throws java.io.IOException

  Description copied from class: `Body`
  Write the content of the body to the specified OutputStream This is similar to `Body.write(java.io.OutputStream, int)`, but does not include the headers for the body.

  Specified by:
    `writeContent` in class `Body`
  Throws:
    `java.io.IOException`
  See Also:
    `#wrote`

### formEncode

    public void formEncode(java.io.OutputStream into,
                           java.lang.String encoding)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### parse

    protected void parse(java.io.InputStream is)
                  throws java.io.IOException

  Description copied from class: `Body`
  Parse a body from a specific InputStream.

  This should be considered "private" to callers: it must be invoked via `Body.parse()`

  Specified by:
    `parse` in class `Body`
  Throws:
    `java.io.IOException`
  See Also:
    `Body.parse()`

### purgeContent

    protected void purgeContent()

  Description copied from class: `Body`
  Bodies are purged() when they are no longer in use. This provides similar functionality to the "finalize()" method, but may be called by any caller, or in any thread, when it is known that a body is no longer in use.

  Specified by:
    `purgeContent` in class `Body`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel